For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all lease periods
        • GETGet lease period by ID
        • POSTCreate Lease: Rentvine
        • PUTUpdate Lease: Rentvine
        • PUTUpdate Lease Custom Data: Rentvine
        • POSTCreate Lease File: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineLeases

Get lease period by ID

GET
/v1/lease-periods/:lease_period_id
GET
/v1/lease-periods/:lease_period_id
$curl https://api.propexo.com/v1/lease-periods/lease_period_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "90b72cd007b81e770232bec86b3d49f03485113",
17 "x_property_id": "string",
18 "x_location_id": null,
19 "x_application_template_id": "1",
20 "name": "12 Months",
21 "application_template_id": "cm01i2c7p000008mi9vvve07m",
22 "integration_id": "clwh5u07w000508me66sfh3um",
23 "integration_vendor": "RENTVINE",
24 "property_id": "clwi5xiix000008l6ctdgafyh"
25 }
26}
Get lease period by ID
Was this page helpful?
Previous

Create Lease: Rentvine

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_period_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error